# Image rescale

An action block that rescales an image.

The fiber will pause until the image operation has finished.

This block will modify the bitmap held in memory by the fiber, as loaded by a prior Image load block.

## Input arguments

- Scaled width — new width to rescale to, in pixels, default is current bitmap width, i.e. no rescaling.
- Scaled height — new height to rescale to, in pixels, default is current bitmap height i.e. no rescaling.

## Output variables

- Result width — variable to assign the width of the bitmap after it’s been scaled, i.e. scaled width, in pixels.
- Result height — variable to assign the height of the bitmap after it’s been scaled, i.e. scaled height, in pixels.